"{ Package: 'stx:libbasic3' }"

"{ NameSpace: Packages }"

Object subclass:#PackageHandler
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Package-Handlers'
!


!PackageHandler class methodsFor:'instance creation'!

forFilename:aFilename
    (self isStxFile:aFilename) ifTrue:[
        ^ StxPackageFileHandler forFilename:aFilename
    ].


    self error:'Unknown file format'
!

forPackage:aPackage

    (self isStxPackage:aPackage) ifTrue:[
        ^ StxPackageFileHandler forPackage:aPackage
    ].

    self error:'Package not known...'
!

openStxPackageFormat:aFormat
    ^ (StxPackageFileHandler) openStxPackageFormat:aFormat
! !

!PackageHandler class methodsFor:'globals'!

smalltalkPackageManager
    ^ PackageManager smalltalkPackageManager  
! !

!PackageHandler class methodsFor:'queries'!

isStxFile:aFilename
    ^ true
!

isStxPackage:aPackage
    ^ true
! !

!PackageHandler class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/packages/PackageHandler.st,v 1.2 2003-04-11 12:58:34 james Exp $'
! !
